=== debian/changelog ===
br.ispell (2.4.really.3.0.beta4-7) unstable; urgency=low

  * debian/info-ispell: Use plain ascii in Language field.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 11 Feb 2004 16:04:34 +0100

br.ispell (2.4.really.3.0.beta4-6) unstable; urgency=low

  * Rebuilt to use the new .config file in dictionaries-common-dev
    0.20.1 (closes: #232144).

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 11 Feb 2004 12:29:13 +0100

br.ispell (2.4.really.3.0.beta4-5) unstable; urgency=low

  * debian/control: aspell-pt-br depends on aspell-pt-common now.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 29 Jan 2004 16:15:18 +0100

br.ispell (2.4.really.3.0.beta4-4) unstable; urgency=low

  * debian/changelog: Fixed one-character typo (closes: #220823).  This is
    by far the most curious bug report I have never seen.  I am fixing and
    closing it in the standard way though, and I hope that I am not
    introducing ohter ones with this long changelogg entrie.
  * debian/control: Versioned build-dependency on dictionaries-common-dev (>=
    0.16.0), since this version contains the new installdeb-myspell script.
  * debian/rules: Use the installdeb-myspell script provided by the
    dictionaries-common packages.
  * debian/installdeb-myspell, debian/postinst-myspell,
    debian/postrm-myspell: Removed files.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 14 Nov 2003 22:30:45 +0100

br.ispell (2.4.really.3.0.beta4-3) unstable; urgency=low

  * First upload to Debian unstable (closes: #215522).

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 22 Oct 2003 23:11:02 +0200

br.ispell (2.4.really.3.0.beta4-2) unstable; urgency=low

  * Added myspell-pt-br package (thanks to Gustavo R. Montesino
    <ikki_gerrard@yahoo.com.br>).

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 20 Oct 2003 18:45:59 +0200

br.ispell (2.4.really.3.0.beta4-1) unstable; urgency=low

  * New (beta) upstream release.
  * New maintainer.
  * Changed name of source package to br.ispell, which is the upstream name.
  * Added package aspell-pt-br.
  * debian/control:
    - New maintainer.
    - Bumped standards-Version to 3.6.1.
    - Upstream URL is preceded by "Homepage:" as suggested in the Debian
      Best Packaging Practices manual.
    - Added aspell to Build-Dependencies.
    - Removed dependency on gawk | awk.
  * debian/rules:
    - Calls to "make install" were changed to reflect changes in upstream
      Makefile.
    - Use dh_install to move files out of debian/tmp.
  * debian/copyright: Updated upstream URL.
  * debian/README.Debian: Updated text to reflect the current situation.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 28 Sep 2003 16:58:44 +0200

ibrazilian (2.4-5.3) unstable; urgency=low

  * debian/info-ispell: Added Locale entry.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 16 Jun 2002 16:32:00 +0200

ibrazilian (2.4-5.2) unstable; urgency=low

  * debian/info-ispell: Added Pspell-Ispell entry.

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  8 Jun 2002 20:49:02 +0200

ibrazilian (2.4-5.1) unstable; urgency=low

  * Merge version 2.4-4.3 into 2.4-5.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 Mar 2002 21:08:37 +0100

ibrazilian (2.4-5) unstable; urgency=low

  * debian/control: Fixed minor spelling typos.
    (Closes: #124467, #124746, #135920)

 -- Carlos Laviola <claviola@debian.org>  Thu, 21 Mar 2002 21:59:02 -0300

ibrazilian (2.4-4.3) unstable; urgency=low

  * Rebuilding against ispell 3.1.20-30. Will now use MAXSTRINGCHARS=128

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 25 Feb 2002 15:18:06 +0100

ibrazilian (2.4-4.2) unstable; urgency=low

  * Regenerated to get the fixed postrm script from dictionaries-common
    release 0.4.99.6.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 28 Nov 2001 20:13:34 +0100

ibrazilian (2.4-4.1) unstable; urgency=low

  * Upgraded for compliance with the new Debian Spelling Dictionaries and
    Tools Policy.
  * debian/control:
      - Bumped Standards-Version to 3.5.6.
      - Pre-Depends on dictionaries-common.
      - Build-Depends on dictionaries-common-dev.
  * debian/rules: Removed call to dh_link.  Linking brazilian.hash to
    brasiliero.hash is not necessary anymore.  CAll installdeb-ispell, as
    required for the new Policy.
  * debian/ibrazilian.emacsen-startup, debian/postinst, debian/prerm,
    debian/postrm, debian/conffiles: Removed files.  They are not
    necessary in the framework of the new Policy.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 27 Nov 2001 22:32:05 +0100

ibrazilian (2.4-4) unstable; urgency=low

  * debian/rules: binary-arch was missing the 'install' target, so none
    of the buildd's was creating a valid package. This is fixed now.

 -- Carlos Laviola <claviola@debian.org>  Sun,  3 Jun 2001 16:41:14 -0300

ibrazilian (2.4-3) unstable; urgency=low

  * Changed my e-mail from claviola@ajato.com.br to claviola@debian.org
    in all my packages.

 -- Carlos Laviola <claviola@debian.org>  Wed, 30 May 2001 16:51:28 -0300

ibrazilian (2.4-2) unstable; urgency=low

  * Added ispell to the Build-Depends of the package. (Closes: #92563)
  * Did some cleaning in the rules (use dh_link instead of manual
  symlinking, for instance).

 -- Carlos Laviola <claviola@ajato.com.br>  Mon,  2 Apr 2001 12:50:29 -0300

ibrazilian (2.4-1) unstable; urgency=low

  * "New" upstream release
  * New maintainer
  * Bumped Standards-Version from 2.5.0 (!) to 3.5.2
  * Made the transition from /usr/doc to /usr/share/doc (Closes: #91498,
  #91399)
  * Moved conjugue(1) to /usr/share/man (Closes: #91123)

 -- Carlos Laviola <claviola@ajato.com.br>  Wed, 28 Mar 2001 10:26:16 -0300

ibrazilian (2.3-2) unstable; urgency=low

  * Corrected some bugs in targets clean and .PHONY of upstream Makefile.

 -- Rafael Laboissiere <rafael@icp.inpg.fr>  Fri, 11 Jun 1999 18:12:49 +0200

ibrazilian (2.3-1) unstable; urgency=low

  * New upstream version.
  * Upgraded to Standard-Version 2.5.0.

