=== debian/control ===
Source: br.ispell
Section: text
Priority: optional
Maintainer: Rafael Laboissiere <rafael@debian.org>
Build-Depends: gawk | awk, debhelper (>= 3.0.0), ispell, dictionaries-common-dev (>= 0.20), aspell
Standards-Version: 3.6.1

Package: ibrazilian
Architecture: any
Provides: ispell-dictionary
Depends: dictionaries-common (>= 0.20), ispell, debconf
Suggests: brazilian-conjugate
Description: The Brazilian Portuguese dictionary for ispell
 This is the Brazilian Portuguese dictionary for ispell as put together by
 Ricardo Ueda Karpischek <ueda@ime.usp.br>.
 .
 Current status is good enough to be used for daily needs. This dictionary
 is being developed in a structured way. Verbs are treated apart by a
 specific software, a verb conjugator (conjugue). Names are partitioned
 into semantic classes to make vocabulary completion and revision easier.
 .
 Homepage: http://www.ime.usp.br/~ueda/br.ispell/

Package: brazilian-conjugate
Priority: extra
Architecture: all
Suggests: ibrazilian
Description: Brazilian Portuguese verb conjugator
 This package contains a interactive program (conjugue) capable of
 conjugating portuguese verbs, as spoken in Brazil.  The upstream version
 is numbered 1.0, but as it is distributed together with the Ispell
 dictionary for Brazilian Portuguese, it has the same version number as the
 ibrazilian package for Debian.
 .
 Homepage: http://www.ime.usp.br/~ueda/br.ispell/

Package: aspell-pt-br
Architecture: any
Provides: aspell-dictionary
Depends: libaspell15, aspell-pt-common
Suggests: aspell-bin
Conflicts: aspell-pt (<= 0.50-2-1)
Description: The Brazilian Portuguese dictionary for GNU Aspell
 This package contains all the required files to add support for the
 Brazilian Portuguese language to the GNU Aspell spell checker.
 .
 Homepage: http://www.ime.usp.br/~ueda/br.ispell/

Package: myspell-pt-br
Architecture: all
Provides: myspell-dictionary, myspell-dictionary-pt, myspell-dictionary-pt-br
Depends: dictionaries-common (>= 0.20)
Suggests: openoffice.org (>= 1.0.3-3)
Conflicts: openoffice.org (<= 1.0.3-2)
Description: The Brazilian Portuguese dictionary for myspell
 This is the Brazilian Portuguese dictionary for use with the myspell
 spellchecker which is currently used within OpenOffice.org and the mozilla
 spellchecker.
