## br.ispell 3.0~beta4

=== Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 #
 prefix=/usr/local
 BINDIR=$(prefix)/bin
-HASHDIR=$(prefix)/lib/ispell
+HASHDIR=/usr/lib/ispell
 VDIR=$(prefix)/lib
 MANDIR=$(prefix)/man
 
@@ -152,7 +152,7 @@
 # que tiverem sido especificados acima.
 #
 install-conjugue:
-	sed -e 's|/usr/bin/gawk|$(AWK)|g' -e \
+	sed -e 's|/usr/bin/awk|$(AWK)|g' -e \
 	's|/usr/local/lib/verbos|$(VDIR)/verbos|g' conjugue >conjugue.tmp
 	chmod 755 conjugue.tmp
 	mv -f conjugue.tmp conjugue
@@ -162,8 +162,8 @@
 	touch conjugue-stamp
 	install -d $(BINDIR)
 	install --mode=755 conjugue $(BINDIR)/conjugue
-	install -d $(DESTDIR)$(VDIR)
-	install --mode=644 verbos $(DESTDIR)$(VDIR)/verbos
+	install -d $(VDIR)
+	install --mode=644 verbos $(VDIR)/verbos
 	install -d $(MANDIR)/man1
 	install --mode=644 conjugue.1 $(MANDIR)/man1/conjugue.1
 
@@ -205,8 +205,7 @@
 # ------------------------------
 #
 aspell: formas
-	aspell --local-data-dir=. --lang=pt create master ./pt_BR <formas 
-
+	aspell --lang=pt_BR create master ./pt_BR <formas 
 
 myspell: br.base br.aff br.ispell
 	./afftoOOo >pt_BR.aff
