=== debian/changelog ===
br.ispell (3.0~beta4-26) unstable; urgency=medium

  * debian/{rules,control}: Drop quilt usage and build dependency.
    Thanks to Alexandre Detiste (Closes: #1123899)
  * debian/control:
    - Bump debhelper-compat to 13.
    - Bump Standards-Version. No changes required.
  * Add some lintian overrides.
  * debian/watch: Migrate to version 5.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 24 Dec 2025 23:31:35 +0100

br.ispell (3.0~beta4-25) unstable; urgency=medium

  [ Eriberto Mota ]
  * debian/clean: Make sure br.stat is removed (Closes: #1043809).

  [ Agustin Martin Domingo ]
  * Add 'No-Site' debian/watch snippet by Eriberto Mota. br.ispell
    upstream site is no longer available and upstream email bounces.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 25 Aug 2023 19:45:21 +0200

br.ispell (3.0~beta4-24) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dictionaries-common-dev.

  [ Agustin Martin Domingo ]
  * debian/copyright: Update copyright years.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 03 Aug 2022 19:43:49 +0200

br.ispell (3.0~beta4-23) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Dec 2020 18:34:55 +0100

br.ispell (3.0~beta4-22.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Dec 2020 16:22:33 +0100

br.ispell (3.0~beta4-22) unstable; urgency=medium

  * Ship upstream docs UTF-8.
  * debian/control: Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 06 Sep 2018 12:04:07 +0200

br.ispell (3.0~beta4-21) unstable; urgency=medium

  * Make brazilian wordlist UTF-8. Thanks Pander (Closes: #901232).
  * Make debian/copyright DEP-5.
  * Bump Standards-Version. No changes required.
  * Mark brazilian-conjugate Multi-Arch: foreign.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 11 Jun 2018 11:45:47 +0200

br.ispell (3.0~beta4-20) unstable; urgency=medium

  * debian/control:
    - Change Vcs-* headers for salsa migration.
    - Bump Standards-Version. No changes required.
    - Use "optional" priority for brazilian-conjugate, not "extra".
    - Typo fix in brazilian-conjugate description.
  * Bump debhelper compatibility level to 11.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 15 Feb 2018 18:30:53 +0100

br.ispell (3.0~beta4-19) unstable; urgency=medium

  * debian/control: Bump Standards-version. No changes needed.
  * debian/rules: Make sure build is always done in a reproducible and
    working LC_ALL=C language environment  (Closes: #789098).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 18 Jun 2015 09:07:12 +0200

br.ispell (3.0~beta4-18) unstable; urgency=medium

  * debian/rules: make the build reproducible. Thanks Chris Lamb
    (Closes: #777715).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 09 Apr 2015 17:14:01 +0200

br.ispell (3.0~beta4-17) unstable; urgency=low

  * Do not ship /var/lib/ispell dir nor ship symlinks to it.
  * Rebuild against sid dictionaries-common-dev 1.23.2 to properly clean
    dirs. Fix Build-Depends.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 24 Apr 2014 11:09:28 +0200

br.ispell (3.0~beta4-16) unstable; urgency=low

  * debian/control:
    - Modify to use dictionaries-common-dev (>= 1.22.0) features:
      + ${ispell:Depends}, ${wordlist:Depends}
      + Deal with remove files in debhelper snippet.
    - Bump Standards Version. No changes required.
    - Canonicalize Vcs-* headers.
  * Add debian/source/format for 3.0 (quilt).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 05 Mar 2014 18:41:08 +0100

br.ispell (3.0~beta4-15) unstable; urgency=low

  * Use auto-compat feature to avoid modification of placeholders
    shipped under /var by maintainer scripts. Needs a Build
    Dependency on dictionaries-common-dev (>= 1.11.2).
  * debian/rules:
    - Fix lintian debian-rules-missing-recommended-target build-{arch,indep}.
  * debian/control: Bump Standards-Version. No changes needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 14 Sep 2011 16:19:45 +0200

br.ispell (3.0~beta4-14) unstable; urgency=low

  * Make ibrazilian an arch all package by using ispell-autobuildhash.
  * Fix lintian debhelper-but-no-misc-depends.
  * Make sure we build at least with dictionaries-common-dev 1.2 to
    better comply with policy.
  * Call debian/latin1-troff.pl as a perl argument.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 18 Jan 2010 16:53:11 +0100

br.ispell (3.0~beta4-13) unstable; urgency=low

  [ Rafael Laboissiere ]

  * debian/control: Append trunk/ to the path in Vcs-Svn:, such that
    debcheckout works
  * Switch from dpatch to quilt
  * debian/patches/conjugations.diff: Fix conjugation of several verbs,
    thanks to Jakson Alves de Aquino (closes: #482573)
  * debian/copyright:
    - Add proper upstream copyright statement
    - Add licensing terms for the Debian packaging
  * debian/rules: Call dh_compress after dh_installman, such that he man
    page conjugue.1 is compressed (Lintian error)
  * debian/patches/hyphen-minus-sign.diff: Add patch for fixing usage of
    the "-" character either as minus or hyphen (Lintian warning)
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file

  [ Agustin Martin Domingo ]

  * New maintainer (Closes: #534367).

