=== debian/watch ===
Version: 5

# br.ispell upstream site is no longer available and email does not work.
# Thanks https://people.debian.org/~eriberto/#fake-packages
Source: https://people.debian.org/~eriberto/
Matching-Pattern: FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz
Dversion-Mangle:s/.*/0.No-Site/
